Community
Showing results for 
Search instead for 
Do you mean 
Reply

Could not load file or assembly 'Act.Framework Version=15..205.0...' Syncing ACT! 2013 Using CompanionLink

Accepted Solution Solved
Copper Super Contributor
Posts: 30
Country: USA
Accepted Solution

Could not load file or assembly 'Act.Framework Version=15..205.0...' Syncing ACT! 2013 Using CompanionLink

[ Edited ]

-ACT Premium 2013 version 15.1.108.0

-Private database on local machine

-Windows 7 Pro 64

 

I sync ACT to Google using CompanionLink. It's worked fine but today, Companionlink displays the following error:

 

Synchronization has failed. Could not load file or assembly 'Act.Framework, Version=15..205.0, Culture=neutral, PublicKeyToken=ebf6b2ff4d0a08aa' or one of its dependencies. The system cannot find the file specified. 

 

It seems that the solution is to re-add the file into the Windows/Assembly folder. However, I can't find a copy of that file.

 

[Edit: updated main topic post to include more detail]


Accepted Solutions
Solution
Accepted by ghollister (Platinum Elite Contributor)
‎09-25-2015 03:20 AM
Copper Super Contributor
Posts: 30
Country: USA

Re: Could not load file or assembly 'Act.Framework

Quick update. I reinstalled ACT and that did the trick. Didn't reinstall CompanionLink - was going to do that next if problem persisted after ACT reinstall.

View solution in original post


All Replies
Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Could not load file or assembly 'Act.Framework

Hello smartxtai,
I would recommend contacting CompanionLink support about this error, but one thing you can try is uninstalling/reinstalling CompanionLink. If you applied the SP1 update to ACT! while CompanionLink was installed, this may have affected the interface.

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

Copper Super Contributor
Posts: 30
Country: USA

Re: Could not load file or assembly 'Act.Framework

Greg, I bought  a new comp and installed ACT Premium w/ SP1 integrated before installing CompanionLink. The sync was working initially. The message seems to indicate a missing file. You're suggesting I uninstall/reinstall CompanionLink so are you implying that CompanionLink and not ACT installs this Act.Framework file?

Copper Super Contributor
Posts: 30
Country: USA

Re: Could not load file or assembly 'Act.Framework

[ Edited ]

I stumbled upon this solution to the exact same problem but for a different version of ACT. Seems like it's ACT issue-related and I can simply resolve by getting the necessary files in the right place.

 

Could not load file or assembly 'Act.Framework, Version =10.1.199.0, Culture=neutral publictoken=

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Could not load file or assembly 'Act.Framework

The issue in that article actually has to do with the plugins for the third-party add-on (Act4Advisors) being the wrong version and needing to be replaced. You may have a similar issue with CL since the version of Act.Framework it wants does not match either of the versions used by ACT! 2013 (15.0.301.0 and 15.1.108.0). I still recommend you contact CompanionLink to verify the files being used are the correct version and see if there are updated .dll files that need to be installed, or an updated version of CompanionLink itself.
http://www.companionlink.com/support/contact.html

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

Solution
Accepted by ghollister (Platinum Elite Contributor)
‎09-25-2015 03:20 AM
Copper Super Contributor
Posts: 30
Country: USA

Re: Could not load file or assembly 'Act.Framework

Quick update. I reinstalled ACT and that did the trick. Didn't reinstall CompanionLink - was going to do that next if problem persisted after ACT reinstall.

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Could not load file or assembly 'Act.Framework

Glad to hear you got it resolved Smiley Happy

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.